### Enumeration

# Gio TlsPasswordFlags

since: 2.30

#### Declaration

    flags Gio.TlsPasswordFlags

#### Description

Various flags for the password.

Available since: 2.30

#### Members

`G_TLS_PASSWORD_NONE`

  No flags.

  - Value: `0`
  - Nickname: `none`
  - Available since: 2.30
`G_TLS_PASSWORD_RETRY`

  The password was wrong, and the user should retry.

  - Value: `2`
  - Nickname: `retry`
  - Available since: 2.30
`G_TLS_PASSWORD_MANY_TRIES`

  Hint to the user that the password has been wrong many times, and the user may not have many chances left.

  - Value: `4`
  - Nickname: `many-tries`
  - Available since: 2.30
`G_TLS_PASSWORD_FINAL_TRY`

  Hint to the user that this is the last try to get this password right.

  - Value: `8`
  - Nickname: `final-try`
  - Available since: 2.30
`G_TLS_PASSWORD_PKCS11_USER`

  For PKCS #11, the user PIN is required. Since: 2.70.

  - Value: `16`
  - Nickname: `pkcs11-user`
  - Available since: 2.30
`G_TLS_PASSWORD_PKCS11_SECURITY_OFFICER`

  For PKCS #11, the security officer PIN is required. Since: 2.70.

  - Value: `32`
  - Nickname: `pkcs11-security-officer`
  - Available since: 2.30
`G_TLS_PASSWORD_PKCS11_CONTEXT_SPECIFIC`

  For PKCS #11, the context-specific PIN is required. Since: 2.70.

  - Value: `64`
  - Nickname: `pkcs11-context-specific`
  - Available since: 2.30